For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin the Discord
ManualAPI GuideAPI Reference
  • Overview
    • API Reference
    • Client libraries
  • API Reference
      • POSTSemantic Search
      • POSTTabular Data Analysis
      • POSTDatabase Query
      • POSTWeb Fetch
      • POSTWeb Search
LogoLogo
Contact usJoin the Discord
API ReferenceTools

Web Search

POST
https://host.com/v1/tools/web-search
POST
/v1/tools/web-search
$curl -X POST https://host.com/v1/tools/web-search \
> -H "Content-Type: application/json" \
> -d '{
> "query": "query"
>}'
1{
2 "content": [],
3 "is_error": false
4}
Search the web for information related to a natural language query and return aggregated results from multiple sources.
Was this page helpful?
Previous

List Skills

Next
Built with

Request

This endpoint expects an object.
querystringRequired
The natural language query to search the web.

Response

This endpoint returns an object.
contentlist of objects
List of content blocks generated by the tool. Blocks can include plain text, citations, source attributions, or images.
is_errorboolean
True if the tool encountered an error during execution.

Errors

401
Unauthorized
422
Unprocessable Entity